"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.removeTypeInfoRules = removeTypeInfoRules;
const get_rules_1 = require("./get-rules");
function removeTypeInfoRules(eslintConfig) {
    const rulesRequiringTypeInfo = (0, get_rules_1.getRules)();
    let newExtends = eslintConfig.extends;
    if (typeof eslintConfig.extends === 'object' && Array.isArray(eslintConfig.extends)) {
        newExtends = eslintConfig.extends.filter((extend) => extend !== 'plugin:@typescript-eslint/recommended-requiring-type-checking');
    }
    let newRules = eslintConfig.rules;
    if (typeof eslintConfig.rules === 'object') {
        newRules = {};
        for (const [ruleName, ruleConfig] of Object.entries(eslintConfig.rules)) {
            if (!rulesRequiringTypeInfo.includes(ruleName)) {
                newRules[ruleName] = ruleConfig;
            }
        }
    }
    return {
        ...eslintConfig,
        extends: newExtends,
        rules: newRules,
    };
}
//# sourceMappingURL=remove-typeinfo-rules-from-eslint-config.js.map